be.fgov.ehealth.consultrn.commons.core.v3

## Class DiplomaticInformationType

- java.lang.Object
- - be.fgov.ehealth.consultrn.commons.core.v3.DiplomaticInformationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class DiplomaticInformationType
      extends Object
      implements Serializable

  List of diplomatic information linked to a person

  Java class for DiplomaticInformationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DiplomaticInformationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="DiplomaticPost" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}DiplomaticPostType" minOccurs="0"/>
               <element name="DiplomaticAddress" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}TemporaryAddressType" minOccurs="0"/>
               <element name="PostAddress" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}TemporaryAddressType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiplomaticInformationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TemporaryAddressType` | `getDiplomaticAddress()` Gets the value of the diplomaticAddress property.
    `DiplomaticPostType` | `getDiplomaticPost()` Gets the value of the diplomaticPost property.
    `TemporaryAddressType` | `getPostAddress()` Gets the value of the postAddress property.
    `void` | `setDiplomaticAddress(TemporaryAddressType value)` Sets the value of the diplomaticAddress property.
    `void` | `setDiplomaticPost(DiplomaticPostType value)` Sets the value of the diplomaticPost property.
    `void` | `setPostAddress(TemporaryAddressType value)` Sets the value of the postAddress property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiplomaticInformationType

          public DiplomaticInformationType()

  - ### Method Detail

    - #### getDiplomaticPost

          public DiplomaticPostType getDiplomaticPost()

      Gets the value of the diplomaticPost property.
      Returns:
        possible object is `DiplomaticPostType`

    - #### setDiplomaticPost

          public void setDiplomaticPost(DiplomaticPostType value)

      Sets the value of the diplomaticPost property.
      Parameters:
        `value` - allowed object is `DiplomaticPostType`

    - #### getDiplomaticAddress

          public TemporaryAddressType getDiplomaticAddress()

      Gets the value of the diplomaticAddress property.
      Returns:
        possible object is `TemporaryAddressType`

    - #### setDiplomaticAddress

          public void setDiplomaticAddress(TemporaryAddressType value)

      Sets the value of the diplomaticAddress property.
      Parameters:
        `value` - allowed object is `TemporaryAddressType`

    - #### getPostAddress

          public TemporaryAddressType getPostAddress()

      Gets the value of the postAddress property.
      Returns:
        possible object is `TemporaryAddressType`

    - #### setPostAddress

          public void setPostAddress(TemporaryAddressType value)

      Sets the value of the postAddress property.
      Parameters:
        `value` - allowed object is `TemporaryAddressType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.